# ip6.biz

IPv6 connectivity test and networking toolbox

## Installation
- `cd /path/to/cloned/repo`
- `git submodule init`
- `git submodule update`
- set up nginx like shown in `sample-nginx-config/ip6.biz.conf`
- set up the following subdomain-dns records and zones
	+ `v4` - A to server IPv4 only
	+ `v6` - AAAA to server IPv6 only
	+ `any` - both A and AAAA
	+ `f4` - AAAA only
	+ `f6` - A only
	+ `f6` - A only
	+ `z4` - zone with IPv4 nameservers and glues only
		* `v4` and `v6` like above
	+ `z6` - zone with IPv4 nameservers and glues only
		* `v4` and `v6` like above
- replace all occurrences of `ip6.biz` (don't forget `Access-Control-Allow-Origin` in the nginx config!)
