<?php
use MaxMind\Db\Reader;
header('Content-Type: application/json');

$ip = $_SERVER['REMOTE_ADDR'];
if (substr($ip, 0, 9) === "10.23.42.") {
	$ip = "88.99.139.92";
}

$res = array();
$res["address"] = $ip;
$countrydb = '/var/lib/GeoIP/GeoLite2-Country.mmdb';
$asndb = '/var/lib/GeoIP/GeoLite2-ASN.mmdb';

$asnr = (new Reader($asndb))->get($ip);

$res["country"] = (new Reader($countrydb))->get($ip)["country"]["iso_code"];
$res["asn"] = "AS".$asnr["autonomous_system_number"]." ".$asnr["autonomous_system_organization"];

if ($res["country"] == null) {
	$res["country"] = "_unknown";
}

if ($asnr["autonomous_system_number"] == null) {
	$res["asn"] = "No GeoIP entry found, are you new?";
}

print(json_encode($res));
